Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PolicyHelper

    java.lang.Object
      org.omg.CORBA.PolicyHelper

public abstract class PolicyHelper
extends Object

The Helper for `Policy`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/PolicyHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl Saturday, July 17, 1999 12:26:20 AM PDT

Constructor Summary
`PolicyHelper()`

Method Summary
`static Policy` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, Policy that)`
`static Policy` | `narrow(Object obj)`
`static Policy` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, Policy value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyHelper

    public PolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Policy that)

### extract

    public static Policy extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static Policy read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             Policy value)

### narrow

    public static Policy narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.